package com.bgy.sms.channel.api;


import com.alibaba.fastjson.JSONObject;
import com.bgy.sms.channel.bgy.dto.CLNotifyRequest;
import com.bgy.sms.channel.bgy.dto.ReportDto;
import com.bgy.sms.channel.bgy.service.BgySmsService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/byg/")
@RestController
public class BgyApi {

    private static final Logger log = LoggerFactory.getLogger(BgyApi.class);

    @PostMapping("/notify")
    public String notify(@RequestParam CLNotifyRequest notifyInfo) {
        log.info("碧桂园异步通知接口入参：{}", JSONObject.toJSONString(notifyInfo));
        String response = "success";
        try {
//            bgySmsService.asyncNotify(notifyInfo);
        } catch (Exception e) {
            log.error("处理创建模板异步通知异常：", e);
            response = "fail";
        }
        log.info("碧桂园异步通知接口出参：{}", response);
        return response;
    }

    @GetMapping("/report")
    public String report(ReportDto report) {
        log.info("回送报告接口入参：{}", JSONObject.toJSONString(report));
        String response = "success";
        try {
//            CLBizResponse responses = chuangLanSmsService.report(report);
        } catch (Exception e) {
            log.error("处理回执逻辑异常：", e);
            response = "fail";
        }
        log.info("碧桂园异步通知接口出参：{}", response);
        return response;
    }


}
